Login
Newsletter
Werbung

Sicherheit: Denial of Service in python
Aktuelle Meldungen Distributionen
Name: Denial of Service in python
ID: openSUSE-SU-2019:0184-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.0
Datum: Do, 14. Februar 2019, 18:37
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-5010
Applikationen: Python

Originalnachricht

   openSUSE Security Update: Security update for python
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:0184-1
Rating: moderate
References: #1122191
Cross-References: CVE-2019-5010
Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for python fixes the following issues:

Security issue fixed:

- CVE-2019-5010: Fixed a denial-of-service vulnerability in the X509
certificate parser (bsc#1122191)

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-184=1



Package List:

- openSUSE Leap 15.0 (i586 x86_64):

libpython2_7-1_0-2.7.14-lp150.6.6.1
libpython2_7-1_0-debuginfo-2.7.14-lp150.6.6.1
python-2.7.14-lp150.6.6.1
python-base-2.7.14-lp150.6.6.1
python-base-debuginfo-2.7.14-lp150.6.6.1
python-base-debugsource-2.7.14-lp150.6.6.1
python-curses-2.7.14-lp150.6.6.1
python-curses-debuginfo-2.7.14-lp150.6.6.1
python-debuginfo-2.7.14-lp150.6.6.1
python-debugsource-2.7.14-lp150.6.6.1
python-demo-2.7.14-lp150.6.6.1
python-devel-2.7.14-lp150.6.6.1
python-gdbm-2.7.14-lp150.6.6.1
python-gdbm-debuginfo-2.7.14-lp150.6.6.1
python-idle-2.7.14-lp150.6.6.1
python-tk-2.7.14-lp150.6.6.1
python-tk-debuginfo-2.7.14-lp150.6.6.1
python-xml-2.7.14-lp150.6.6.1
python-xml-debuginfo-2.7.14-lp150.6.6.1

- openSUSE Leap 15.0 (x86_64):

libpython2_7-1_0-32bit-2.7.14-lp150.6.6.1
libpython2_7-1_0-32bit-debuginfo-2.7.14-lp150.6.6.1
python-32bit-2.7.14-lp150.6.6.1
python-32bit-debuginfo-2.7.14-lp150.6.6.1
python-base-32bit-2.7.14-lp150.6.6.1
python-base-32bit-debuginfo-2.7.14-lp150.6.6.1

- openSUSE Leap 15.0 (noarch):

python-doc-2.7.14-lp150.6.6.1
python-doc-pdf-2.7.14-lp150.6.6.1


References:

https://www.suse.com/security/cve/CVE-2019-5010.html
https://bugzilla.suse.com/1122191

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung